Subject: Re: [patch net-next 0/8] devlink: make sure devlink port registers/unregisters only for registered instance

From: Jakub Kicinski <[email-masked]>
Date: Tue, 6 Dec 2022 12:12:26 -0800

On Tue, 6 Dec 2022 08:44:16 +0100 Jiri Pirko wrote:
>> I didn't reply because I don't have much to add beyond what 
>> I've already said too many times. I prefer to move to my
>> initial full refcounting / full locking design. I haven't posted 
>> any patches because I figured it's too low priority and too risky
>> to be doing right before the merge window.  
> 
> I'm missing how what you describe is relevant to this patchset and to
> the issue it is trying to solve :/ 
> 
>> I agree that reordering is a good idea but not as a fix, and hopefully  
> 
> I don't see other way to fix the netdev/devlink events ordering problem
> I described above. Do you?

Just hold off with your patches until I post mine. Which as I said will
be during/after the merge window. I've been explaining this for a year now.